Skip to main content

createOrUpdateVeracodeIntegration

Create or update Veracode integration

createOrUpdateVeracodeIntegration(
input: CreateOrUpdateVeracodeIntegrationInput!
): CreateOrUpdateVeracodeIntegrationPayload

Arguments​

createOrUpdateVeracodeIntegration.input ● CreateOrUpdateVeracodeIntegrationInput! non-null input​

Parameters for CreateOrUpdateVeracodeIntegration

Type​

CreateOrUpdateVeracodeIntegrationPayload object​

Autogenerated return type of CreateOrUpdateVeracodeIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateVeracodeIntegration($input: CreateOrUpdateVeracodeIntegrationInput!) {\n createOrUpdateVeracodeIntegration(input: $input) { clientMutationId errors integration { id apiId apiKey } }\n}","variables":{"input":{"companyId":"<company_id>","apiId":"example","apiKey":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute